/*
 *  emTypes.h
 *  Type definitions.
 *
 *  Created by Stefan Robl on 21.01.06.
 *  Copyright 2006 Stefan Robl <stefan@qdev.de>. All rights reserved.
 *
 */
 
#ifndef __EMTYPES_H
#define __EMTYPES_H

// --- Typedefs ----------------------------------------------------------------

typedef   signed char  int8;
typedef unsigned char uint8;

typedef   signed short  int16;
typedef unsigned short uint16;

typedef   signed long  int32;
typedef unsigned long uint32;

typedef float float32;
typedef double float64;
typedef unsigned char boolean;
typedef   signed char char8;

#ifndef TRUE
	#define TRUE 1
#endif
#ifndef FALSE
	#define FALSE 0
#endif

// --- Macros ------------------------------------------------------------------

#define TABLE_LENGTH(table) (sizeof(table)/sizeof(table[0]))

#endif